Summary:   ProFTPD -- Professional FTP Server.
Name:      proftpd
Version:   1.2.2rc1
Release:   C3stackguard
Source:    ftp://ftp.proftpd.org/distrib/%{name}-%{version}.tar.gz
Source1:   proftpd.log
Copyright: GPL
Group:     System Environment/Daemons
Requires:  pam >= 0.56
Provides:  ftpserver
Prereq:    fileutils
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
ProFTPD is an enhanced FTP server with a focus toward simplicity, security,
and ease of configuration.  It features a very Apache-like configuration
syntax, and a highly customizable server infrastructure, including support for
multiple 'virtual' FTP servers, anonymous FTP, and permission-based directory
visibility.

%prep
%setup -q
PATH=/usr/sg/bin:$PATH
export PATH

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var/run --with-modules=mod_pam:mod_linuxprivs:mod_ratio:mod_readme --disable-sendfile

%build
PATH=/usr/sg/bin:$PATH
export PATH

make CFLAGS="$RPM_OPT_FLAGS"

%install
PATH=/usr/sg/bin:$PATH
export PATH

rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr localstatedir=$RPM_BUILD_ROOT/var/run rundir=$RPM_BUILD_ROOT/var/run/proftpd install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/proftpd
touch $RPM_BUILD_ROOT/etc/ftpusers

%post

# Delete the info under /var/run/proftpd directory or a PAM error happens after upgrading.
if [ -d /var/run/proftpd ]; then
        rm -rf /var/run/proftpd/*
fi

# Look if there is already an entry for 'ftp' service even when commented.
grep '^[#[:space:]]*ftp' /etc/inetd.conf > /dev/null
errcode=$?
if [ $errcode -eq 0 ]; then
# Found, replace the 'in.ftpd' with 'in.proftpd'
	tmpfile=/tmp/proftpd-inetd.$$
	sed	-e '/^[#[:space:]]*ftp/{' \
		-e 's^in.ftpd.*$^in.proftpd^' \
		-e '}' \
		/etc/inetd.conf \
	> $tmpfile
	mv $tmpfile /etc/inetd.conf
else
# Not found, append a new entry.
	echo 'ftp      stream  tcp     nowait  root    /usr/sbin/tcpd  in.proftpd' >> /etc/inetd.conf
fi
# Reread 'inetd.conf' file.
# killall -HUP inetd || :

%preun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd/*
    fi
fi

%postun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd
    fi

    # Remove ProFTPD entry from /etc/inetd.conf
    tmpfile=/tmp/proftpd-inetd.$$
    sed -e '/^.*proftpd.*$/d' /etc/inetd.conf > $tmpfile
    mv $tmpfile /etc/inetd.conf
    killall -HUP inetd || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,man) /usr/man/*/*
%doc README README.* doc/*
%doc contrib/README contrib/README.* contrib/xferstats.holger-preiss
%doc sample-configurations/*
%config(noreplace) /etc/logrotate.d/proftpd
%config(noreplace) /etc/ftpusers
/usr/sbin/*
/usr/bin/*

%dir /var/run/proftpd

%changelog
* Mon Apr 12 2001 Brenda Mula <brenda.mula@sun.com> 1.2.2rc1-C2
- recompile to not be compiled against glibc 2.2 which breaks on
- older products.

* Mon Mar 26 2001 Patrick Baltz <patrick.baltz@sun.com> 1.2.2rc1-1C1
- update to latest version, which is a release candidate due to DoS
  vulnerability in 1.2.1 and earlier

* Mon Dec 04 2000 Rene Hendrix <rhendrix@cobalt.com>
- rc2 (based of of rc2-C2) replaces proftpd.log (the logrotate file)
  with our version of the logrotate file

* Thu Aug 31 2000 Jeff Lovell <jlovell@cobalt.com>
- rc2 + mod_xfer cvs patch for passive connections

* Fri Aug 30 2000 Brenda Mula <bmula@cobalt.com>
- rc2 
- got latest version, problem with chmod working correctly.
* Fri Jul 14 2000 Brenda Mula <bmula@cobalt.com>
- rc1 
- got newest version of proftpd

* Wed Jan 12 2000 Jeff Bilicki <jeffb@cobalt.com>
- pre9-C6
- added proftpd-1.2.0pre9-pwgrent.patch

* Wed Dec 15 1999 Jeff Lovell <jlovell@cobalt.com>
- pre9-C5
- disabled sendfile to speed up gets
- added mod_xfer.c.patch to fix have_sendfile decleration

* Wed Dec 15 1999 Jeff Bilicki <jeffb@cobalt.com>
- pre9-C4
- Added patch to fix bug in fgetgrent (glibc)
- Now uses internal function calls

* Tue Dec 14 1999 Jeff Lovell <jlovell@cobalt.com>
- 1.2.0pre9-C1
- CVS snapshot to fix y2k logging issues

* Wed Nov 9 1999 Duncan Laurie <duncan@cobalt.com>
- C5
- killall doesn't exist on new systems, don't try and call it

* Sun Sep 19 1999 Timothy Stonis <tim@cobaltnet.com>

 -C4 -> fix logrotate so missing log is okay

* Tue Sep 14 1999 Timothy Stonis <tim@cobaltnet.com>
-Fix log rotate typo

* Tue Sep 14 1999 Duncan Laurie <duncan@cobaltnet.com>
- 1.2.0pre6-C2
- fix proftpd.conf location

* Sat Sep 11 1999 Duncan Laurie <duncan@cobaltnet.com>
- 1.2.0pre6-C1
- remove proftpd.conf from this rpm
- put in logrotate configuration fro harris

* Sat Jul 24 1999 MacGyver <macgyver@tos.net>
  Initial import of spec.

